GPGPARTICIPANTS(1)

NAME
gpgparticipants - generate paper list for keysigning party

SYNOPSIS
gpgparticipants [OPTIONS] {input|-} {output|-} datestring organizer title

DESCRIPTION
gpgparticipants is targeted at organisers of a keysigning party that uses the Zimmermann-Sassaman key-signing protocol.

It creates a file with all the keys from a list of participators in your keysigning party. You give it a list with key ID's and some general variables, and it will generate a file you can publish. You publish this list; participants will download and print this file to take with them to the party.

OPTIONS

-aHASHES, --algorithm=HASHES

    For each algorithm in HASHES, a comma-separated list of digest algorithms supported by gpg(1), add a placeholder for the digest value (to be filled by the participants) to the output file. Default: SHA256,RIPEMD160.

ENVIRONMENT

HOME
    Set the default home directory.

GNUPGBIN
    Set the gpg binary. Default: "gpg".

GNUPGHOME
    Set the default working directory for gpg. Default: "~/.gnupg".

EXAMPLES

To create a KSP file with all keys present in the keyring:

    gpg --with-colons --fingerprint | sed -n "/^pub:/ {n; /^fpr:/p}" | cut -sd: -f10 | \
        gpgparticipants - ksp-file.txt "20080222 1100" "My Name <my.name@my.mail>" "my party 08"

SEE ALSO
gpg(1),gpgsigs(1)

AUTHOR
This manual page was written by Thijs Kinkhorst <thijs@debian.org>.